﻿<Window x:Class="CoursesApp.Courses.EditCourse"
        x:Name="EditCourseWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:CoursesApp.Courses"
        mc:Ignorable="d"
        Title="EditCourse" Height="250" Width="230">
    <Window.DataContext>
        <local:EditCourseViewModel />
    </Window.DataContext>
    <Grid>
        <StackPanel VerticalAlignment="Center" HorizontalAlignment="Center" Width="200">
            <TextBlock VerticalAlignment="Top" FontSize="22" HorizontalAlignment="Center">
                <Bold>
                    Edit course
                </Bold>
            </TextBlock>
            <TextBlock>Name</TextBlock>
            <TextBox Text="{Binding Name}" Margin="0,0,0,5"></TextBox>
            <TextBlock>Description</TextBlock>
            <TextBox Text="{Binding Description}" Margin="0,0,0,5" MinLines="3" TextWrapping="Wrap" AcceptsReturn="True"></TextBox>
            <CheckBox IsChecked="{Binding IsPremium}" Margin="0,0,0,5">
                <TextBlock>Is premium</TextBlock>
            </CheckBox>
            <Button Command="{Binding EditCourseCommand}" CommandParameter="{Binding ElementName=EditCourseWindow}">Update</Button>
        </StackPanel>
    </Grid>
</Window>
